- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# determinize.hh File Reference

Boolean automata determinization. More...

Include dependency graph for determinize.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
Determinization algorithms
template<typename A, typename T>
Element< A, T > | determinize (const Element< A, T > &a)
| Returns the determinized of a Boolean automaton.
template<typename A, typename T>
Element< A, T > | determinize (const Element< A, T > &a, std::map< hstate_t, std::set< hstate_t > > &m)
| Returns the determinized of a Boolean automaton.

## Detailed Description

Boolean automata determinization.

Author:
  Yann Régis-Gianas <yann@lrde.epita.fr>

Date:
  Tue Jun 24 19:13:10 2003

See also:
  determinize()

Definition in file determinize.hh.